#include <iostream>

using namespace std;

int N[101];
int M[101];

int main()
{
    int n, m;
    int na, nb;
    cin >> n >> m;

    for (int i = 0; i < (2*n); i++) {
        cin >> N[i];
    }
    for (int j = 0; j < m; j++) {
        cin >> M[j];
    }
    
    //ispis listi
    for (int i = 0; i < n; i++) {
        cout << N[i] << endl;
    }
    for (int j = 0; j < m; j++) {
        cout << M[j] << endl;
    }

    return 0;
}